#
# spec file for package happy
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# no useful debuginfo for Haskell packages without C sources
%global debug_package %{nil}
%bcond_without tests
Name:           happy
Version:        1.19.5
Release:        3.36
Summary:        The LALR(1) Parser Generator for Haskell
License:        BSD-2-Clause
Group:          Development/Languages/Other
Url:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  docbook-dtd
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  fop
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  libxml2
BuildRequires:  libxslt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Happy is a parser generator for Haskell. Given a grammar specification in BNF,
Happy generates Haskell code to parse the grammar. Happy works in a similar way
to the 'yacc' tool for C.

%prep
%setup -q
find  ./examples/glr/ -type f -exec sed -i 's/\r//' {} +

%build
%{ghc_bin_build}
cd doc
autoreconf
%configure
make %{?_smp_mflags} html

%install
%{ghc_bin_install}
install -D --mode=444 doc/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%defattr(-,root,root)
%doc ANNOUNCE
%doc CHANGES
%doc LICENSE
%doc README
%doc TODO
%doc doc/happy
%doc examples
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
%{_mandir}/man1/*

%changelog
* Wed May 13 2015 mimi.vx@gmail.com
- temporary disable tests
* Thu Apr  9 2015 mimi.vx@gmail.com
- update to 1.19.5
* Mon Feb  2 2015 peter.trommler@ohm-hochschule.de
- downgrade to 1.19.4
  * strict version requirement by Haskell Platform
* Mon Feb  2 2015 mimi.vx@gmail.com
- change line endings from dos to unix in examples
* Sun Jan 18 2015 mimi.vx@gmail.com
- update to 1.19.5
- remove rpmlintrc
  * fixes for GHC 7.10
  * Code cleanups (thanks Index Int <vlad.z.4096@gmail.com>)
* Mon Nov 24 2014 mimi.vx@gmail.com
- change licence to BSD-2-Clause
* Sun Nov 23 2014 mimi.vx@gmail.com
- typo in Summary
* Sun Nov 23 2014 mimi.vx@gmail.com
- add tests
- suppres warnings with rpmlintrc
- spec file cleanup with cabal-rpm and spec-cleaner
* Fri Sep 12 2014 peter.trommler@ohm-hochschule.de
- update to 1.19.4
  * fix manual page
  * fix build with ghc 7.8 and (future) 7.10
  * Haskell Platform 2014.2.0.0
- drop happy-1.18.6-generate-man-page.patch
  * fixed upstream
* Sat Aug 23 2014 peter.trommler@ohm-hochschule.de
- enable PowerPC builds
* Mon May  6 2013 peter.trommler@ohm-hochschule.de
- spec file cleanup and reformatting by OBS service
* Thu Dec 27 2012 peter.trommler@ohm-hochschule.de
- fixed license tag
* Sat Nov 17 2012 peter.trommler@ohm-hochschule.de
- make service localonly for Factory submission
* Mon Oct  1 2012 peter.trommler@ohm-hochschule.de
- update to 1.18.10 from upstream for Haskell Platform 2012.4.0.0
* Sun Jun 10 2012 peter.trommler@ohm-hochschule.de
- dropped BuildRequires xmltex (not needed)
* Tue Jun  5 2012 peter.trommler@ohm-hochschule.de
- update to 1.18.9 from upstream for Haskell Platform 2012.2.0.0
* Mon May  7 2012 peter.trommler@ohm-hochschule.de
- patch file added
* Mon May  7 2012 peter.trommler@ohm-hochschule.de
- added patch to enable man page generation
- build, install and package man page
* Mon Jan 23 2012 peter.trommler@ohm-hochschule.de
- SPDX compliant version tag
- BR autoconf explicitly
* Mon Dec  5 2011 peter.trommler@ohm-hochschule.de
- Fixed ExclusiveArch for OBS
- Added ghc-mtl-devel BR
* Thu Nov 24 2011 peter.trommler@ohm-hochschule.de
- Initial packaging.
